<?php

Kirki::add_section( 'general_settings', array(
    'title'          => esc_html__( 'General Options', 'ecc' ),
    'panel'          => 'ecc_panel',
    'priority'       => 160,
) );

Kirki::add_field( 'ecc_panel', [
	'type'        => 'switch',
	'settings'    => 'custom_cursor_show',
	'label'       => esc_html__( 'Custom Cursor', 'ecc' ),
	'section'     => 'general_settings',
	'default'     => 'on', 
	'priority'    => 10,
	'choices'     => [
		'on'  => esc_html__( 'Enable', 'ecc' ),
		'off' => esc_html__( 'Disable', 'ecc' ),
	],

] );

Kirki::add_field( 'ecc_panel', [
	'type'        => 'switch',
	'settings'    => 'mobile_custom_cursor',
	'label'       => esc_html__( 'Mobile Custom Cursor', 'ecc' ),
	'section'     => 'general_settings',
	'default'     => 'on',
	'priority'    => 10,
	'choices'     => [
		'on'  => esc_html__( 'Enable', 'ecc' ),
		'off' => esc_html__( 'Disable', 'ecc' ),
	],
] );

