<?php

Kirki::add_section( 'translation_settings', array(
    'title'          => esc_html__( 'Translation', 'ecc' ),
    'panel'          => 'ecc_panel',
    'priority'       => 160,
) );

Kirki::add_field( 'ecc_panel', [
	'type'     => 'text',
	'settings' => 'quick_cart_text',
	'label'    => esc_html__( 'Quick Cart Text', 'ecc' ),
	'section'  => 'translation_settings',
	'default'  => esc_html__( 'Quick Cart', 'ecc' ),
	'priority' => 10,
] );

Kirki::add_field( 'ecc_panel', [
	'type'     => 'text',
	'settings' => 'coupon_placeholder_text',
	'label'    => esc_html__( 'Enter your Coupon code', 'ecc' ),
	'section'  => 'translation_settings',
	'default'  => esc_html__( 'Enter your Coupon code', 'ecc' ),
	'priority' => 10,
] );

Kirki::add_field( 'ecc_panel', [
	'type'     => 'text',
	'settings' => 'apply_btn_text',
	'label'    => esc_html__( 'Apply Button Text', 'ecc' ),
	'section'  => 'translation_settings',
	'default'  => esc_html__( 'Apply', 'ecc' ),
	'priority' => 10,
] );


Kirki::add_field( 'ecc_panel', [
	'type'     => 'text',
	'settings' => 'coupn_field_empty',
	'label'    => esc_html__( 'Coupon Code Empty Text', 'ecc' ),
	'section'  => 'translation_settings',
	'default'  => esc_html__( 'Coupon Code Field is Empty', 'ecc' ),
	'priority' => 10,
] );

Kirki::add_field( 'ecc_panel', [
	'type'     => 'text',
	'settings' => 'coupn_code_applied',
	'label'    => esc_html__( 'Coupon Code Applied Text', 'ecc' ),
	'section'  => 'translation_settings',
	'default'  => esc_html__( 'Coupon Code Already Applied!', 'ecc' ),
	'priority' => 10,
] );

Kirki::add_field( 'ecc_panel', [
	'type'     => 'text',
	'settings' => 'coupn_field_imvaild',
	'label'    => esc_html__( 'Invaild Coupon Code Text', 'ecc' ),
	'section'  => 'translation_settings',
	'default'  => esc_html__( 'Invaild Coupon Code', 'ecc' ),
	'priority' => 10,
] );

Kirki::add_field( 'ecc_panel', [
	'type'     => 'text',
	'settings' => 'coupn_code_successfully',
	'label'    => esc_html__( 'Coupon Applied Successfully Text', 'ecc' ),
	'section'  => 'translation_settings',
	'default'  => esc_html__( 'Coupon Applied Successfully ', 'ecc' ),
	'priority' => 10,
] );

Kirki::add_field( 'ecc_panel', [
	'type'     => 'text',
	'settings' => 'product_quantity_text',
	'label'    => esc_html__( 'Products Quantity text', 'ecc' ),
	'section'  => 'translation_settings',
	'default'  => esc_html__( 'Products', 'ecc' ),
	'priority' => 10,
] );

Kirki::add_field( 'ecc_panel', [
	'type'     => 'text',
	'settings' => 'product_subtotal',
	'label'    => esc_html__( 'SubTotal Text', 'ecc' ),
	'section'  => 'translation_settings',
	'default'  => esc_html__( 'Subtotal', 'ecc' ),
	'priority' => 10,
] );

Kirki::add_field( 'ecc_panel', [
	'type'     => 'text',
	'settings' => 'product_tax',
	'label'    => esc_html__( 'Product Taxes Text', 'ecc' ),
	'section'  => 'translation_settings',
	'default'  => esc_html__( 'Taxes', 'ecc' ),
	'priority' => 10,
] );

Kirki::add_field( 'ecc_panel', [
	'type'     => 'text',
	'settings' => 'product_shipping_text',
	'label'    => esc_html__( 'Shipping Text', 'ecc' ),
	'section'  => 'translation_settings',
	'default'  => esc_html__( 'Shipping', 'ecc' ),
	'priority' => 10,
] );

Kirki::add_field( 'ecc_panel', [
	'type'     => 'text',
	'settings' => 'product_total_text',
	'label'    => esc_html__( 'Product Total Text', 'ecc' ),
	'section'  => 'translation_settings',
	'default'  => esc_html__( 'Total', 'ecc' ),
	'priority' => 10,
] );

Kirki::add_field( 'ecc_panel', [
	'type'     => 'text',
	'settings' => 'product_continue_text',
	'label'    => esc_html__( 'Continue Shopping Text', 'ecc' ),
	'section'  => 'translation_settings',
	'default'  => esc_html__( 'Continue Shopping', 'ecc' ),
	'priority' => 10,
] );

Kirki::add_field( 'ecc_panel', [
	'type'     => 'text',
	'settings' => 'check_out_text',
	'label'    => esc_html__( 'Checkout Button Text', 'ecc' ),
	'section'  => 'translation_settings',
	'default'  => esc_html__( 'Checkout', 'ecc' ),
	'priority' => 10,
] );



