<?php
Kirki::add_section( 'visibility_section', array(
    'title'          => esc_html__( 'Visibility Section', 'ecc' ),
    'panel'          => 'ecc_panel',
    'priority'       => 160,
) );

Kirki::add_field( 'ecc_panel', [
    'type'        => 'switch',
    'settings'    => 'ecc_close_button',
	'label'       => esc_html__( 'Show Close Button', 'ecc' ),
    'section'     => 'visibility_section',
    'default'     => 'on',
    'priority'    => 10,
    'choices'     => [
        'on'  => esc_html__( 'Enable', 'ecc' ),
        'off' => esc_html__( 'Disable', 'ecc' ),
    ],
] );

Kirki::add_field( 'ecc_panel', [
    'type'        => 'switch',
    'settings'    => 'ecc_product_image',
	'label'       => esc_html__( 'Show Product Image', 'ecc' ),
    'section'     => 'visibility_section',
    'default'     => 'on',
    'priority'    => 10,
    'choices'     => [
        'on'  => esc_html__( 'Enable', 'ecc' ),
        'off' => esc_html__( 'Disable', 'ecc' ),
    ],
] );

Kirki::add_field( 'ecc_panel', [
    'type'        => 'switch',
    'settings'    => 'ecc_qty_box',
	'label'       => esc_html__( 'Show Qty Box', 'ecc' ),
    'section'     => 'visibility_section',
    'default'     => 'on',
    'priority'    => 10,
    'choices'     => [
        'on'  => esc_html__( 'Enable', 'ecc' ),
        'off' => esc_html__( 'Disable', 'ecc' ),
    ],
] );

Kirki::add_field( 'ecc_panel', [
    'type'        => 'switch',
    'settings'    => 'ecc_product_price',
	'label'       => esc_html__( 'Show Product Price', 'ecc' ),
    'section'     => 'visibility_section',
    'default'     => 'on',
    'priority'    => 10,
    'choices'     => [
        'on'  => esc_html__( 'Enable', 'ecc' ),
        'off' => esc_html__( 'Disable', 'ecc' ),
    ],
] );

Kirki::add_field( 'ecc_panel', [
    'type'        => 'switch',
    'settings'    => 'ecc_show_delete',
	'label'       => esc_html__( 'Show Delete Icon', 'ecc' ),
    'section'     => 'visibility_section',
    'default'     => 'on',
    'priority'    => 10,
    'choices'     => [
        'on'  => esc_html__( 'Enable', 'ecc' ),
        'off' => esc_html__( 'Disable', 'ecc' ),
    ],
] );

Kirki::add_field( 'ecc_panel', [
    'type'        => 'switch',
    'settings'    => 'ecc_coupon_filed',
	'label'       => esc_html__( 'Show Coupon Filed', 'ecc' ),
    'section'     => 'visibility_section',
    'default'     => 'on',
    'priority'    => 10,
    'choices'     => [
        'on'  => esc_html__( 'Enable', 'ecc' ),
        'off' => esc_html__( 'Disable', 'ecc' ),
    ],
] );

Kirki::add_field( 'ecc_panel', [
    'type'        => 'switch',
    'settings'    => 'ecc_product_ount',
	'label'       => esc_html__( 'Show Product Count', 'ecc' ),
    'section'     => 'visibility_section',
    'default'     => 'on',
    'priority'    => 10,
    'choices'     => [
        'on'  => esc_html__( 'Enable', 'ecc' ),
        'off' => esc_html__( 'Disable', 'ecc' ),
    ],
] );

Kirki::add_field( 'ecc_panel', [
    'type'        => 'switch',
    'settings'    => 'ecc_subtotal',
	'label'       => esc_html__( 'Show Subtotal', 'ecc' ),
    'section'     => 'visibility_section',
    'default'     => 'on',
    'priority'    => 10,
    'choices'     => [
        'on'  => esc_html__( 'Enable', 'ecc' ),
        'off' => esc_html__( 'Disable', 'ecc' ),
    ],
] );

Kirki::add_field( 'ecc_panel', [
    'type'        => 'switch',
    'settings'    => 'ecc_tax_total',
	'label'       => esc_html__( 'Show Tax Total', 'ecc' ),
    'section'     => 'visibility_section',
    'default'     => 'on',
    'priority'    => 10,
    'choices'     => [
        'on'  => esc_html__( 'Enable', 'ecc' ),
        'off' => esc_html__( 'Disable', 'ecc' ),
    ],
] );

Kirki::add_field( 'ecc_panel', [
    'type'        => 'switch',
    'settings'    => 'ecc_shipping_total',
	'label'       => esc_html__( 'Show Shipping Total', 'ecc' ),
    'section'     => 'visibility_section',
    'default'     => 'on',
    'priority'    => 10,
    'choices'     => [
        'on'  => esc_html__( 'Enable', 'ecc' ),
        'off' => esc_html__( 'Disable', 'ecc' ),
    ],
] );

Kirki::add_field( 'ecc_panel', [
    'type'        => 'switch',
    'settings'    => 'ecc_shopping_button',
	'label'       => esc_html__( 'Show Continue Shopping Button', 'ecc' ),
    'section'     => 'visibility_section',
    'default'     => 'on',
    'priority'    => 10,
    'choices'     => [
        'on'  => esc_html__( 'Enable', 'ecc' ),
        'off' => esc_html__( 'Disable', 'ecc' ),
    ],
] );

