; (function ($) {
    "use strict";

    $(document).ready(function () {
        // Custom Cursor
        var data = ecc_data;

        function customCursor() {
            var cursor = $('.dl-cursor'),
                cursorFill = $('.dl-fill');
            // linksCursor = $(data.selectors);

            $(window).on('mousemove', function (e) {
                cursor.css({ 'transform': 'translate(' + (e.clientX - 3) + 'px,' + (e.clientY - 3) + 'px)', 'visibility': 'inherit' });
                cursorFill.css({ 'transform': 'translate(' + (e.clientX - 19) + 'px,' + (e.clientY - 19) + 'px)', 'visibility': 'inherit' });

                // style two
                $('.ecc-cursor-active')

                    .eq(0)
                    .css({
                        left: e.pageX,
                        top: e.pageY,
                        'visibility': 'inherit',
                    });
                setTimeout(function () {
                    $('.ecc-cursor-active')
                        .eq(1)
                        .css({
                            left: e.pageX,
                            top: e.pageY,
                            'visibility': 'inherit',
                        });
                }, 100);

                $('a').hover(function () {
                    $('.cursor-style-four').addClass('animation-link');
                }, function () {
                    $('.cursor-style-four').removeClass('animation-link');
                });

            });


            //add class remove class hover style
            $('a, button').hover(function () {
                $('.ecc-sahpe-wraper').addClass('ecc-color-hover');
            }, function () {
                $('.ecc-sahpe-wraper').removeClass('ecc-color-hover');
            });


            $(window).on('mouseout', function () {
                cursor.css('visibility', 'hidden');
                cursorFill.css('visibility', 'hidden');
                $('.cursor-style-two').css('visibility', 'hidden');
                $('.cursor-style-three').css('visibility', 'hidden');
            });
        }

        if (1 == data.status) {
            if ($(window).width() < 768) {
                if (1 == data.mobile_status) {
                    customCursor();
                } else {
                    $('.dl-cursor').css('display', 'none');
                    $('.dl-fill').css('display', 'none');
                    $('.cursor-style-two').css('display', 'none');
                    $('.cursor-style-three').css('display', 'none');
                }
            } else {
                customCursor();
            }
        }

        //  customCursor();
    });

})(jQuery);