<?php 
/*
Plugin Name: Easy Custom Cursor
Plugin URI: https://github.com/masumskaib396/ecc
Description: Using Easy Custom Cursor  Custom Cursor for customize your website cursor or mouse pointer, you will get a very elegant and unique site. You can change colors, selectors etc from this settings page.
Version: 1.0.1
Author: wpgrids
Author URI: https://profiles.wordpress.org/wpgrids/
License: GPLv2 or later
Text Domain: ecc
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}




	//hellow world
//Set plugin version constant.
define( 'ECC_VERSIONS', '1.0.1');

/* Set constant path to the plugin directory. */
define( 'ECC_DIRCETORY_PATH', trailingslashit( plugin_dir_path( __FILE__ ) ) );

// Plugin Function Folder Path
define( 'ECC_INC', plugin_dir_path( __FILE__ ) . 'includes/' );

// Plugin Function Folder Lib
define( 'ECC_IIB', plugin_dir_path( __FILE__ ) . 'lib/' );


// Assets Folder Frontend
define( 'ECC_ASSETS_PUBLIC', plugins_url( 'assets/frontend', __FILE__ ) );

// Assets Folder Admin
define( 'ECC_ASSETS_ADMIN', plugins_url( 'assets/admin', __FILE__ ) );   


function ecc_load_textdomain() {
    load_plugin_textdomain( 'ecc', false, dirname( __FILE__ ) . '/languages' );

}
add_action( 'plugins_loaded', 'ecc_load_textdomain' );


		// Load the library
	if ( file_exists( ECC_IIB . 'settings.php' ) ) {
		require_once  ECC_IIB . 'settings.php';
	}

	if ( file_exists( ECC_INC . 'init.php' ) ) {
		require_once(ECC_INC . 'init.php');
	}
	
	

	





