<?php

Kirki::add_section( 'general_settings', array(
    'title'          => esc_html__( 'General Options', 'ecc' ),
    'panel'          => 'ecc_panel',
    'priority'       => 160,
) );


if ( !is_plugin_active( 'ecc-pro/ecc-pro.php' ) ):
	Kirki::add_field( 'ecc_panel', [
		'type'        => 'custom',
		'settings'    => 'cart_boxs',
		'section'     => 'general_settings',
			'default'         => '<h3 style="padding:12px 0px; text-align: center; font-size: 16px; background:#ddd; color:#222; margin:0;">' . __( 'Pro Content', 'ecc' ) . '</h3>',
		'priority'    => 10,
	] );
endif;



Kirki::add_field( 'ecc_panel', [
	'type'        => 'switch',
	'settings'    => 'ecc_count_hide_checkout',
	'label'       => esc_html__( 'Show Cart on Checkout page', 'ecc' ),
	'section'     => 'general_settings',
	'default'     => 'on',
	'priority'    => 10,
	'choices'     => [
		'on'  => esc_html__( 'Enable', 'ecc' ),
		'off' => esc_html__( 'Disable', 'ecc' ),
	],

] );
Kirki::add_field( 'ecc_panel', [
	'type'        => 'switch',
	'settings'    => 'ecc_count_hide_cart',
	'label'       => esc_html__( 'Show Cart on Cart page', 'ecc' ),
	'section'     => 'general_settings',
	'default'     => 'on',
	'priority'    => 10,
	'choices'     => [
		'on'  => esc_html__( 'Enable', 'ecc' ),
		'off' => esc_html__( 'Disable', 'ecc' ),
	],
] );

